package org.springblade.imports.service;

import org.springblade.imports.entity.VRecentVippoolCosts;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 会员池最近消耗统计 服务类
 * </p>
 *
 * @author zbc
 * @since 2023-03-15
 */
public interface IVRecentVippoolCostsService extends IService<VRecentVippoolCosts> {

    List<String> supplierList();

    List<String> ptypeList(String supplier);

    List<String> qytypeList(String supplier,String ptype);

    List<String> cpIdList(String supplier,String ptype,String qytype);

    List<String> contractIdList(String supplier);

}
